eContract Developers
API ReferenceContracts

Accept AI suggestions and update contract title/description

POST /api/v1/contracts/{id}/accept-ai-suggestions: Accept AI suggestions and update contract title/description. API keys and OAuth tokens need scope contracts:write.

POST
/api/v1/contracts/{id}/accept-ai-suggestions
AuthorizationBearer <token>

API key cl_live_… or OAuth access token eco_at_… in Authorization: Bearer. Public operations (x-econtract-auth: public) need no credential.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://api.econtract.online/api/v1/contracts/string/accept-ai-suggestions" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
Empty

Code Examples

curl -X POST "https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions" \
  -H "Authorization: Bearer cl_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Service Agreement",
    "description": "Q2 consulting agreement"
  }'
const res = await fetch("https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions", {
  method: "POST",
  headers: {
    "Authorization": "Bearer cl_live_your_key_here",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
      "title": "Service Agreement",
      "description": "Q2 consulting agreement"
  }),
}).then(r => r.json());

console.log(res);
import requests

res = requests.post(
    "https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions",
    headers={"Authorization": "Bearer cl_live_your_key_here"},
    json={
    "title": "Service Agreement",
    "description": "Q2 consulting agreement",
},
).json()

print(res)
package main

import (
    "fmt"
    "io"
    "net/http"
    "bytes"
    "encoding/json"
)

func main() {
    payload, _ := json.Marshal(map[string]interface{}{
        "title": "Service Agreement",
        "description": "Q2 consulting agreement",
    })

    req, _ := http.NewRequest("POST", "https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions", bytes.NewBuffer(payload))
    req.Header.Set("Authorization", "Bearer cl_live_your_key_here")
    req.Header.Set("Content-Type", "application/json")

    resp, _ := http.DefaultClient.Do(req)
    defer resp.Body.Close()
    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer cl_live_your_key_here",
    "Content-Type: application/json",
]);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
    'title' => 'Service Agreement',
    'description' => 'Q2 consulting agreement',
]));

$response = curl_exec($ch);
curl_close($ch);

echo $response;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

String jsonBody = "{\"title\":\"Service Agreement\",\"description\":\"Q2 consulting agreement\"}";

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions"))
    .header("Authorization", "Bearer cl_live_your_key_here")
    .header("Content-Type", "application/json")
    .POST(HttpRequest.BodyPublishers.ofString(jsonBody))
    .build();

HttpResponse<String> response = HttpClient.newHttpClient()
    .send(request, HttpResponse.BodyHandlers.ofString());

System.out.println(response.body());
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer cl_live_your_key_here");

var json = @"{
  ""title"": ""Service Agreement"",
  ""description"": ""Q2 consulting agreement""
}";
var content = new StringContent(json, System.Text.Encoding.UTF8, "application/json");

var response = await client.PostAsync("https://api.econtract.online/api/v1/contracts/abc123/accept-ai-suggestions", content);
var body = await response.Content.ReadAsStringAsync();

Console.WriteLine(body);